using System;

namespace Zad2
{
    class Program
    {
        // Druzelju*(prijatelji-neprijatelji)
        /*
         1*1
         1*2
         1*1
         * 
         * 
         * 
         * 
         */
        static void Main(string[] args)
        {
            int N, M;
            int[] x,b;
            int z = 0;
            string[] c;
            string a = Console.ReadLine();
            c = a.Split();
            
            N = int.Parse(c[0]);
            M = int.Parse(c[1]);
            x = new int[N];
            b = new int[N];
            for (int i = 0; i < N; i++)
            {
                b[i] = 0;
                x[i] = int.Parse(Console.ReadLine());

            }
            for (int i = 0; i < M; i++)
            {
                a = Console.ReadLine();
                c = a.Split();

                if(Math.Abs(x[int.Parse(c[0])-1]) > Math.Abs(x[int.Parse(c[1])-1]))
                {
                    if (x[int.Parse(c[0])-1] < 0)
                    {
                        b[int.Parse(c[1])-1]--;
                        b[int.Parse(c[0])-1]--;

                    }
                    else
                    {
                        b[int.Parse(c[1])-1]++;
                        b[int.Parse(c[0])-1]++;
                    }


                }
                else
                {
                    if (x[int.Parse(c[1])-1] < 0)
                    {
                        b[int.Parse(c[1])-1]--;
                        b[int.Parse(c[0])-1]--;

                    }
                    else
                    {
                        b[int.Parse(c[1])-1]++;
                        b[int.Parse(c[0])-1]++;
                    }
                }
            }
            for (int i = 0; i < N; i++)
            {
                z += x[i] * b[i];

            }


            Console.WriteLine(z);


        }
    }
}